Name:           perl-Crypt-OpenSSL-X509
Version:        1.4
Release:        3%{?dist}
Summary:        Perl interface to OpenSSL for X509
License:        GPL+ or Artistic 
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Crypt-OpenSSL-X509/
Source0:        http://www.cpan.org/authors/id/D/DA/DANIEL/Crypt-OpenSSL-X509-%{version}.tar.gz
Patch1:         perl-Crypt-OpenSSL-X509-openssl.patch
Patch2:		perl-Crypt-OpenSSL-X509-fixed-in-base.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  openssl openssl-devel
BuildRequires:  perl(Test::More) perl(Test::Pod) perl(Module::Install)

Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
Crypt::OpenSSL::X509 - Perl extension to OpenSSL's X509 API.

%prep
%setup -q -n Crypt-OpenSSL-X509-%{version}
#%patch1 -p1 -b .openssl
%patch2 -p0 -b .fixed-in-base

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}

make pure_install PERL_INSTALL_ROOT=%{buildroot}

find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;
find %{buildroot} -type f -name '*.bs' -size 0 -exec rm -f {} \;

%{_fixperms} %{buildroot}/*

%check
make test

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changes README TODO
%{perl_vendorarch}/auto/*
%{perl_vendorarch}/Crypt/
%{_mandir}/man3/*

%changelog
* Thu Dec 16 2010 Marcela Maslanova <mmaslano@redhat.com> - 1.4-3
- 661697 rebuild for fixing problems with vendorach/lib

* Thu Sep  9 2010 Wes Hardaker <wjhns174@hardakers.net> - 1.4-2
- removed broken tests that are probably related to patches applied to
  the main openssl base

* Thu Sep  9 2010 Wes Hardaker <wjhns174@hardakers.net> - 1.4-1
- Update to the upstream

* Fri Apr 30 2010 Marcela Maslanova <mmaslano@redhat.com> - 0.7-7
- Mass rebuild with perl-5.12.0

* Fri Dec  4 2009 Stepan Kasal <skasal@redhat.com> - 0.7-6
- rebuild against perl 5.10.1

* Tue Aug 25 2009 Tomas Mraz <tmraz@redhat.com> - 0.7-5
- rebuilt with new openssl

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.7-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Jan 17 2009 Tomas Mraz <tmraz@redhat.com> - 0.7-2
- rebuild with new openssl

* Mon Jul 21 2008 Wes Hardaker <wjhns174@hardakers.net> - 0.7-1
- Updated to upstream 0.7

* Thu Mar 06 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 0.6-2
Rebuild for new perl

* Mon Feb 25 2008 Wes Hardaker <wjhns174@hardakers.net> - 0.6-1
- bump to upstream 0.6

* Mon Feb 18 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.5-4
- Autorebuild for GCC 4.3

* Thu Dec  6 2007 Wes Hardaker <wjhns174@hardakers.net> - 0.5-3
- Bump to force rebuild with new openssl lib version

* Fri Nov  9 2007 Wes Hardaker <wjhns174@hardakers.net> - 0.5-2
- Update license tag to the proper new wording

* Fri Nov  9 2007 Wes Hardaker <wjhns174@hardakers.net> - 0.5-1
- update to upstream 0.5 containing a MANIFEST fix
- Add Test::Pod and Module::Install to build requirements

* Mon May 14 2007  Wes Hardaker <wjhns174@hardakers.net> - 0.4-3
- BuildRequire perl(Test::More) perl(Test::Pod)
- Fixed source code URL

* Tue May  8 2007  Wes Hardaker <wjhns174@hardakers.net> - 0.4-2
- Add BuildRequire openssl-devel
- Don't manually require openssl
- Use vendorarch instead of vendorlib 

* Thu Apr 19 2007  Wes Hardaker <wjhns174@hardakers.net> - 0.4-1
- Initial version
